#pragma once

namespace vcsn
{
  namespace dyn
  {
    /// A reversed trie-like automaton (multiple initial states,
    /// single final state) automaton to accept \a p.
    ///
    /// \param p    the polynomial that describes the (finite) series
    automaton cotrie(const polynomial& p);

    namespace detail
    {
      /// Bridge.
      template <typename PolynomialSet>
      automaton
      cotrie(const polynomial& poly)
      {}
    }
  }
} // vcsn::
